%define	modeversion 0.7.0
%define	gnuplot_api %(cut -d. -f-2 <<<%version)

%define	_gnuplot_texdir %{_datadir}/texmf/tex/latex/gnuplot
%define	_gnuplot_gihdir %{_datadir}/gnuplot/%{gnuplot_api}/%{name}

Name:		gnuplot
Summary:	A program for plotting mathematical expressions and data
Version:	6.0.3
Release:	%mkrel 1
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	https://download.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz
Source1:	https://github.com/bruceravel/gnuplot-mode/archive/%{modeversion}/%{name}-mode-%{modeversion}.tar.gz
Source2:	http://www.gnuplot.info/faq/faq.html
Source10:	%{name}.desktop
#
Patch0:		gnuplot-mode-0.7.0-disable-f9.patch
Patch1:		gnuplot-5.2.2-link-gobject.patch
#
# from gentoo: avoid usage of missed picins.sty
Patch2:		gnuplot-6.1-no-picins.patch
#
# from fedora
Patch21:	gnuplot-4.2.0-fonts.patch
# Fix out of tree parallel builds
# https://sourceforge.net/p/gnuplot/gnuplot-main/merge-requests/32/
Patch24:	gnuplot-make.patch
Patch25:	gnuplot-5.0.0-lua_checkint.patch
#
# from opensuse
Patch40:	gnuplot-5.4.5-fonts.patch
Patch41:	gnuplot-4.6.0-demo.patch
Patch42:	gnuplot-4.4.0-x11ovf.patch
Patch43:	gnuplot-wx3.patch
Patch44:	gnuplot-QtCore-PIC.patch
Patch48:	fix4bug1240328.patch
Patch51:	fix4bug1241684.patch
#
# from arch
Patch60:	lua53_compat.patch
#
# git upstream

# To produce gnuplot.info
BuildRequires:	emacs-bin
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	openspecfun-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libcerf)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(readline)
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	texinfo
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(lua)
BuildRequires:	wxgtk-devel >= 3.1.2
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6PrintSupport)

Requires:	%{name}-common = %{version}-%{release}
# ease upgrade mga9 -> mga10
Conflicts:	gnuplot-nox < 6.0.1-2

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package qt
Summary:        A program for plotting mathematical expressions and data
Group:          Sciences/Other
Requires:       %{name}-common = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	gnuplot-nox < 6.0.1-2

%description qt
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot-qt if you need a graphics package for scientific data
representation.

This package provides GNUPlot with a Qt interface.

%package nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Requires:	%{name}-common = %{version}-%{release}

%description nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package common
Summary:	Data files for Gnuplot
Group:		Sciences/Other
BuildArch:	noarch
Provides:	%{name}-doc = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	gnuplot < 6.0.1-2
Conflicts:	gnuplot-nox < 6.0.1-2

%description common
This package provides common data files for GNUPlot.

%package mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
BuildArch:	noarch

%description mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%prep
%autosetup -p1 -a 1

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode-%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-fast-math -DDIST_CONTACT='https://bugs.mageia.org/'"
export CXXFLAGS="%{optflags} -std=gnu++17"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_nox \
		--without-x \
		--without-qt \
		--disable-wxwidgets
	%make_build -C src
	%make_build -C docs
	%make_build -C docs info html
	cp -r docs/{gnuplot.info,html} ../docs/
popd

# Some docs aren't properly generated if it is an out of tree build.
cp -p build-nox/src/gnuplot src/
export GNUPLOT_PS_DIR=../../term/PostScript
%make_build -C docs/psdoc all pdf

mkdir build-x11
pushd build-x11
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_x11 \
		--without-qt
	%make_build
popd

mkdir build-qt
pushd build-qt
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_qt \
		--with-qt
	%make_build
popd

unset CONFIGURE_TOP
pushd gnuplot-mode-%{modeversion}
	%configure
	%make_build
popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install

pushd build-qt
	%make_install
	mv %{buildroot}%{_bindir}/gnuplot %{buildroot}%{_bindir}/gnuplot-qt
popd

pushd build-nox
	%make_install
	mv %{buildroot}%{_bindir}/gnuplot %{buildroot}%{_bindir}/gnuplot-nox
popd

pushd build-x11
	%make_install
	mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
	mv -T %{buildroot}%{_datadir}/gnuplot/%{gnuplot_api}/app-defaults \
		  %{buildroot}%{_datadir}/X11/app-defaults
popd

pushd gnuplot-mode-%{modeversion}
	%make_install
	pdflatex gpelcard
	install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
	install -m 644 dotemacs.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el
popd

# menu entry
install -D -m644 %{S:10} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
install -D -m644 %{S:10} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop

desktop-file-edit \
  --set-name="Gnuplot Qt6" \
  --set-key=Exec \
  --set-value="%{name}-qt" \
  --add-category=Qt \
  %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop


# icons
for size in 16x16 32x32 48x48 64x64; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size/apps
  magick demo/icon64x64.png -resize $size %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{name}.png
done

# Install doc files in %%{_datadir}/doc/gnuplot
mkdir -p %{buildroot}%{_datadir}/doc/gnuplot
cp -rf demo faq.html README NEWS %{buildroot}%{_datadir}/doc/gnuplot
cp -rf docs/{gnuplot.pdf,gnuplot.info,html} docs/psdoc/ps_*.{doc,pdf,ps} \
    %{buildroot}%{_datadir}/doc/gnuplot

%files
%license Copyright
%{_bindir}/gnuplot
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/X11/app-defaults/Gnuplot
%{_gnuplot_gihdir}_x11
%{_libexecdir}/gnuplot/%{gnuplot_api}/%{name}_x11

%files qt
%license Copyright
%{_bindir}/gnuplot-qt
%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop
%{_datadir}/gnuplot/%{gnuplot_api}/qt
%{_gnuplot_gihdir}_qt
%{_libexecdir}/gnuplot/%{gnuplot_api}/%{name}_qt

%files nox
%license Copyright
%{_bindir}/gnuplot-nox
%{_gnuplot_gihdir}_nox

%files common
%license Copyright
# Gnuplot docs
%{_docdir}/gnuplot/
%{_mandir}/*/*
# Gnuplot common data
%{_datadir}/gnuplot/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gnuplot_texdir}
%dir %{_libexecdir}/gnuplot/%{gnuplot_api}
%exclude %{_datadir}/gnuplot/%{gnuplot_api}/qt
%exclude %{_gnuplot_gihdir}_{nox,qt,x11}

%files mode
%license gnuplot-mode-%{modeversion}/COPYING
%doc gnuplot-mode-%{modeversion}/gpelcard.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*


%changelog
* Thu Jun 05 2025 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2188579
- new version: 6.0.3

* Fri May 23 2025 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2186132
- new version: 6.0.2
+ ns80 <ns80>
- add patches from openSUSE for CVE-2025-3359, CVE-2025-3117[689], CVE-2025-3118[01] (mga#34299)

* Tue Nov 26 2024 daviddavid <daviddavid> 6.0.1-2.mga10
+ Revision: 2119093
- modernize completly spec file (mga#33782):
  * fix desktop file for Qt interface
  * move some common files from -nox into a separate -common sub-pkg
  * move some files from -nox into their respective x11 and qt sub-pkgs
  * use upstream desktop icon and move them to hicolor dir
  * build docs

* Fri Jun 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2070431
- new version: 6.0.1

* Sat Mar 09 2024 daviddavid <daviddavid> 6.0.0-1.mga10
+ Revision: 2048899
- new version: 6.0.0
- switch to Qt6

* Thu Nov 02 2023 daviddavid <daviddavid> 5.4.10-1.mga10
+ Revision: 2003518
- new version: 5.4.10

* Sat Oct 08 2022 ghibo <ghibo> 5.4.5-1.mga9
+ Revision: 1895391
- Update to release 5.4.5.
- Rework patch40, patch45.
- Add patch for supporting grep switch, instead of egrep/fgrep.

* Fri Jul 15 2022 wally <wally> 5.4.3-3.mga9
+ Revision: 1868990
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 5.4.3-2.mga9
+ Revision: 1864098
- rebuild for wxgtk 3.1.7

* Mon May 16 2022 ghibo <ghibo> 5.4.3-1.mga9
+ Revision: 1858368
- Update to release 5.4.3
- Merge patches from fedora to fix segv.
- Merge patches from gentoo to fix building doc due to missing picins.sty (not provided in texlive).
- Merge patches from arch to fix compat with lua 5.3.
- Merge patches (and rediff) from opensuse to fix obsolete X11R6 fontpath, et al.
- Merge patches from git upstream to fix pstricks output.

* Sat Apr 23 2022 wally <wally> 5.4.2-6.mga9
+ Revision: 1852807
- rebuild for libcerf 2.1

* Thu Apr 14 2022 wally <wally> 5.4.2-5.mga9
+ Revision: 1849894
- rebuild for wxgtk 3.1.6

* Mon Apr 04 2022 umeabot <umeabot> 5.4.2-4.mga9
+ Revision: 1844060
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 5.4.2-3.mga9
+ Revision: 1768480
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 5.4.2-2.mga9
+ Revision: 1765731
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Wed Dec 08 2021 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1761195
- update to 5.4.2

* Wed May 05 2021 wally <wally> 5.4.1-5.mga9
+ Revision: 1721473
- rebuild for gcc11

* Sat Apr 03 2021 wally <wally> 5.4.1-4.mga9
+ Revision: 1712891
- rebuild for lua 5.4

* Fri Jan 01 2021 wally <wally> 5.4.1-3.mga8
+ Revision: 1667702
- rebuild for wxgtk pre 3.1.5 snapshot

* Wed Dec 16 2020 umeabot <umeabot> 5.4.1-2.mga8
+ Revision: 1658499
- Rebuild for new Qt5

* Fri Dec 04 2020 luigiwalser <luigiwalser> 5.4.1-1.mga8
+ Revision: 1652342
- 5.4.1

* Fri Aug 28 2020 joequant <joequant> 5.4.0-1.mga8
+ Revision: 1619356
- update to 5.4.0

* Mon Aug 24 2020 neoclust <neoclust> 5.2.8-4.mga8
+ Revision: 1618670
- Requires gnuplot in gnuplot-qt (mga#27189)

* Sun Aug 16 2020 wally <wally> 5.2.8-3.mga8
+ Revision: 1614342
- rebuild for new wxgtk 3.1.4

* Thu Feb 20 2020 umeabot <umeabot> 5.2.8-2.mga8
+ Revision: 1546126
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 5.2.8-1.mga8
+ Revision: 1486081
- new version: 5.2.8
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 5.2.7-3.mga8
+ Revision: 1475958
- rebuild for readline

* Tue Nov 12 2019 wally <wally> 5.2.7-2.mga8
+ Revision: 1459466
- rebuild for wxgtk 3.1.3

* Mon Oct 07 2019 daviddavid <daviddavid> 5.2.7-1.mga8
+ Revision: 1450042
- new version: 5.2.7

* Mon Jul 08 2019 wally <wally> 5.2.2-7.mga8
+ Revision: 1419529
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sat Jun 29 2019 wally <wally> 5.2.2-6.mga8
+ Revision: 1415514
- rebuild for gtk3 enabled wxgtk 3.1.2

* Fri Jun 07 2019 ns80 <ns80> 5.2.2-5.mga7
+ Revision: 1399656
- add patch for CVE-2018-1949[0-2] (mga#24754)

* Sat Mar 30 2019 luigiwalser <luigiwalser> 5.2.2-4.mga7
+ Revision: 1382021
- try to fix linking error
+ umeabot <umeabot>
- Qt5 Rebuild

* Mon Sep 03 2018 tv <tv> 5.2.2-2.mga7
+ Revision: 1256488
- bump release
- remove unused deps on info-install

* Fri Dec 22 2017 blino <blino> 5.2.2-1.mga7
+ Revision: 1184074
- 5.2.2
- remove nocrossbuild patch (#8806), wxt is already enabled fine
- PORTING file is not in dist anymore
- latex files are now in texmf-local

* Mon Aug 28 2017 daviddavid <daviddavid> 5.0.6-3.mga7
+ Revision: 1148410
- compile code with -std=gnu++11

* Sat Jun 03 2017 akien <akien> 5.0.6-2.mga6
+ Revision: 1106095
- Rebuild for wxgtk 3.0.3.1

* Tue Apr 25 2017 akien <akien> 5.0.6-1.mga6
+ Revision: 1097396
- Version 5.0.6

* Thu Mar 09 2017 neoclust <neoclust> 5.0.5-1.mga6
+ Revision: 1090988
- Enable Qt support
- New version 5.0.5

* Mon Jul 18 2016 neoclust <neoclust> 5.0.1-5.mga6
+ Revision: 1042464
- Rebuild to fix deps on armv5

* Thu Jun 02 2016 daviddavid <daviddavid> 5.0.1-4.mga6
+ Revision: 1019813
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 15 2016 umeabot <umeabot> 5.0.1-3.mga6
+ Revision: 960501
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 5.0.1-2.mga6
+ Revision: 868306
- build with libcerf

* Thu Jul 23 2015 wally <wally> 5.0.1-1.mga6
+ Revision: 856583
- new version 5.0.1
- update gnuplot-mode to 0.7.0
- switch to wxgtk3.0
- clean .spec a bit

* Tue Apr 14 2015 akien <akien> 4.6.5-8.mga5
+ Revision: 820185
- Rebuild in core/release

* Mon Apr 13 2015 akien <akien> 4.6.5-7.mga5
+ Revision: 820105
- Build against wxGTK 2.8 (fixes crash with wxt terminal, mga#13024)

* Mon Feb 16 2015 oden <oden> 4.6.5-6.mga5
+ Revision: 815144
- rebuilt for libgd-2.1.1

* Wed Jan 07 2015 alexl <alexl> 4.6.5-5.mga5
+ Revision: 808996
- updated desktop file

* Wed Nov 26 2014 alexl <alexl> 4.6.5-4.mga5
+ Revision: 799329
- added translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 4.6.5-3.mga5
+ Revision: 748917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.5-2.mga5
+ Revision: 679831
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 4.6.5-1.mga5
+ Revision: 640939
- 4.6.5

* Wed Feb 05 2014 fwang <fwang> 4.6.4-1.mga5
+ Revision: 583563
- there is no info file now
- new version 4.6.4

* Tue Oct 22 2013 umeabot <umeabot> 4.6.3-3.mga4
+ Revision: 545873
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 4.6.3-2.mga4
+ Revision: 501932
- BR texlive-texmf

* Tue Aug 06 2013 fwang <fwang> 4.6.3-1.mga4
+ Revision: 464104
- fix texi file
- new version 4.6.3

* Tue May 28 2013 oden <oden> 4.6.1-5.mga4
+ Revision: 429282
- rebuilt against libgd.so.3

* Sat Jan 26 2013 cjw <cjw> 4.6.1-4.mga3
+ Revision: 392531
- patch2: improve detection of cross builds, host must be defined (fixes #8806)

* Sat Jan 12 2013 umeabot <umeabot> 4.6.1-3.mga3
+ Revision: 352383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 4.6.1-2.mga3
+ Revision: 339621
- Fix for _libdir != _libexecdir

* Fri Oct 26 2012 fwang <fwang> 4.6.1-1.mga3
+ Revision: 310530
- update file list
- format patch not needed
- new version 4.6.1

* Wed Aug 01 2012 nanardon <nanardon> 4.6.0-1.mga3
+ Revision: 277556
- 4.6.0

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-7.mga2
+ Revision: 223403
- really fix update

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-6.mga2
+ Revision: 223401
- fix update

* Sun Mar 11 2012 anssi <anssi> 4.4.4-5.mga2
+ Revision: 222799
- restore removed obsoletes on removed gnuplot-doc subpackage
- adapt conflicts for documentation moved from main pkg to -nox in 4.4.4-4
+ nanardon <nanardon>
- move all data into gnuplot-nox, then make gnuplot requires -nox making both more consistent
- merging -doc package in main one, then solving #2744

* Mon Dec 12 2011 pterjan <pterjan> 4.4.4-2.mga2
+ Revision: 180828
- Move desktop file and icons out of -nox, desktop file is for the main binary
- Use a valid category in the desktop file
- Make the -doc package noarch
- Re-enable ps docs, texlive was fixed
+ guillomovitch <guillomovitch>
- new version
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Disable building the ps docs at texlive stops with an error
  https://bugs.mageia.org/show_bug.cgi?id=2273

* Tue May 17 2011 dmorgan <dmorgan> 4.4.3-1.mga1
+ Revision: 99435
- Add conflict to fix upgrade
- New version 4.4.3
  Sync with mdv for splitting ( mdv commit 657966 )
- Backport mdv commit 657554 (Adding BuildRequires on cairo-devel to enable the build of pngcairo and pdfcairo support, thus fixing bug 63109.)

* Sat Mar 05 2011 grenoya <grenoya> 4.4.2-3.mga1
+ Revision: 64703
- change tetex-latex dependencie to texlive

* Thu Feb 24 2011 grenoya <grenoya> 4.4.2-2.mga1
+ Revision: 58953
- clean old mdv syntax
- imported package gnuplot


* Wed Dec 22 2010 Funda Wang <fwang@mandriva.org> 4.4.2-2mdv2011.0
+ Revision: 623762
- tighten BR

* Wed Nov 24 2010 Lev Givon <lev@mandriva.org> 4.4.2-1mdv2011.0
+ Revision: 600345
- Update to 4.4.2.
  Update faq.

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4.4.0-1mdv2010.1
+ Revision: 540897
- new version 4.4.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.6-2mdv2010.1
+ Revision: 522741
- rebuilt for 2010.1

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 4.2.6-1mdv2010.0
+ Revision: 443645
- Update to new version 4.2.6

* Mon Aug 03 2009 Funda Wang <fwang@mandriva.org> 4.2.5-1mdv2010.0
+ Revision: 408267
- new version 4.2.5

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.2.4-3mdv2009.1
+ Revision: 345090
- rebuild for latest readline
- fix format errors

* Wed Dec 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 4.2.4-1mdv2009.1
+ Revision: 309670
- Update to 4.2.4
- Correct the internal links in gnuplot-faq.html, fixes #19547

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.2.3-2mdv2009.0
+ Revision: 264606
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 4.2.3-1mdv2009.0
+ Revision: 200887
- New version, Gnuplot.app-defaults has been renamed

* Thu Feb 07 2008 Thierry Vignaud <tv@mandriva.org> 4.2.2-4mdv2008.1
+ Revision: 163373
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-3mdv2008.1
+ Revision: 106361
- rebuild for lzma man page

* Sat Oct 27 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-2mdv2008.1
+ Revision: 102689
- 4.2.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 4.2.0-2mdv2008.0
+ Revision: 70284
- unregister info file before uninstalling it
- kill file require on info-install

* Tue Apr 17 2007 Erwan Velu <erwan@mandriva.org> 4.2.0-1mdv2007.1
+ Revision: 13641
- 4.2.0
  Adding gd-devel buildrequires for png & jpg terminal


* Thu Oct 12 2006 Pixel <pixel@mandriva.com> 4.0.0-11mdv2006.0
+ Revision: 63501
+ Status: not released
- fix segfault (patch from fedora) (#25014)

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.0.0-8mdk
- Rebuild

* Fri May 20 2005 Pixel <pixel@mandriva.com> 4.0.0-7mdk
- disable f9 in emacs mode (it is too invasive)

* Wed May 18 2005 Giuseppe Ghibò <ghibo@mandriva.com> 4.0.0-6mdk
- Fixed building docs with teTeX 3.0 (Pixel).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.0-5mdk
- rebuild for new slang
- do not bzip2 icons in .src.rpm
- fix summary-ended-with-dot
- cosmetics

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.0-4mdk
- Rebuild with new menu

* Tue Jul 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-3mdk
- change mail adress in changelog

* Sun Jun 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-2mdk
- Guillaume Cottenceau is no longer the packager (Happy man :)
- BuildRequires texinfo (Thx Emmanuel Favre-Nicolin <manu_favre@yahoo.com>)

* Wed Jun 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-1mdk
- 4.0.0
- menu in spec, fix menu

* Sun Dec 21 2003 Stefan van der Eijk <stefan@eijk.nu> 3.7.3-3mdk
- BuildRequires

